%define anolis_release 1
%global pypi_name tenacity
%global _description %{expand:
Tenacity is a general-purpose retrying library to simplify the task of adding
retry behavior to just about anything.}

Name:           python-%{pypi_name}
Version:        8.2.3
Release:        %{anolis_release}%{?dist}
Summary:        Retry code until it succeeds
License:        Apache-2.0
URL:            https://github.com/jd/%{pypi_name}
Source0:        https://github.com/jd/tenacity/archive/refs/tags/8.2.3.tar.gz#/%{pypi_source}
Source1:        PKG-INFO
BuildArch:      noarch

%description %{_description}

%package -n python3-%{pypi_name}
Summary:          %{summary}
BuildRequires:    python3-devel
# for tests
BuildRequires:    python3-pytest
BuildRequires:    python3-tornado


%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version} -p 1
# Avoid type checking dependency
sed -e '/typeguard/d' -i setup.cfg
cp %{SOURCE1} .

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -k "not test_retry_type_annotations"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%changelog
* Wed Jan 10 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 8.2.3-1
- Initial package.
